#
# spec file for package python-os-api-ref
#
# Copyright (c) 2016 SUSE LINUX GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


%global sname os-api-ref
Name:           python-os-api-ref
Version:        1.0.0
Release:        1.1
Summary:        Sphinx Extensions to support API reference sites in OpenStack
License:        Apache-2.0
Group:          Development/Languages/Python
Url:            https://launchpad.net/%{sname}
Source0:        https://pypi.io/packages/source/o/%{sname}/%{sname}-%{version}.tar.gz
BuildRequires:  openstack-macros
BuildRequires:  python-PyYAML >= 3.1.0
BuildRequires:  python-Sphinx
BuildRequires:  python-beautifulsoup4
BuildRequires:  python-docutils
BuildRequires:  python-openstackdocstheme >= 1.4.0
BuildRequires:  python-oslosphinx >= 2.5.0
BuildRequires:  python-pbr >= 1.6
BuildRequires:  python-python-subunit >= 0.0.18
BuildRequires:  python-sphinx-testing
BuildRequires:  python-testrepository >= 0.0.18
BuildRequires:  python-testtools >= 1.4.0
Requires:       python-PyYAML >= 3.1.0
Requires:       python-Sphinx
Requires:       python-docutils
Requires:       python-openstackdocstheme >= 1.4.0
Requires:       python-pbr >= 1.6
BuildArch:      noarch

%description
This project is a collection of sphinx stanzas that assist in building an API
Reference site for an OpenStack project in RST. RST is great for
unstructured English, but displaying semi structured (and repetitive) data
in tables is not it's strength. This provides tooling to insert semi-structured
data describing request and response parameters, and turn those into nice
tables.
The project also includes a set of styling (and javascript) that is expected
to layer on top of an openstackdocstheme theme base. This provides a nice set
of collapsing sections for REST methods and javascript controls to
expand / collapse all sections.

%prep
%setup -q -n %{sname}-%{version}

%build
%{py2_build}

%install
%{py2_install}

%check
%{__python2} setup.py testr

%files
%license LICENSE
%doc README.rst ChangeLog
%{python2_sitelib}/os_api_ref
%{python2_sitelib}/*.egg-info

%changelog
* Wed Sep  7 2016 tbechtold@suse.com
- Initial packaging (version 1.0.0)
